## BurnerDriveSelection

BurnerDriveSelection

## Functions

GtkWidget * | burner_drive_selection_new ()
BurnerDrive * | burner_drive_selection_get_active ()
gboolean | burner_drive_selection_set_active ()
void | burner_drive_selection_show_type ()

## Types and Values

struct | BurnerDriveSelection

## Description

## Functions

### burner_drive_selection_new ()

    GtkWidget *
    burner_drive_selection_new (void);

Creates a new BurnerDriveSelection object

#### Returns

a GtkWidget. Unref when it is not needed anymore.

### burner_drive_selection_get_active ()

    BurnerDrive *
    burner_drive_selection_get_active (BurnerDriveSelection *selector);

Gets the active drive.

#### Parameters

selector | a BurnerDriveSelection |

#### Returns

a BurnerDrive or NULL. Unref when it is not needed anymore.

### burner_drive_selection_set_active ()

    gboolean
    burner_drive_selection_set_active (BurnerDriveSelection *selector,
                                       BurnerDrive *drive);

Sets the active drive. Emits the ::drive-changed signal.

#### Parameters

selector | a BurnerDriveSelection |
drive | a BurnerDrive to set as the active one in the selector |

#### Returns

a gboolean. TRUE if it succeeded, FALSE otherwise.

### burner_drive_selection_show_type ()

    void
    burner_drive_selection_show_type (BurnerDriveSelection *selector,
                                      BurnerDriveType type);

Filters and displays drive corresponding to `type` .

#### Parameters

selector | a BurnerDriveSelection |
type | a BurnerDriveType |

## Types and Values

### struct BurnerDriveSelection

    struct BurnerDriveSelection {
    	GtkComboBox parent_instance;
    };